package de.ifgi.basics;

public class Point {
	double lat; //Breite (nordwert)
	double lon; //Lnge (westert)
	static double eps = 0.01; //tolerance
	public Point(double lat, double lon){
		this.lat=lat;
		this.lon=lon;
	}
	
	public boolean equals (Point p){
		if(Math.abs(this.lat-p.lat) <= eps*(p.lat) && Math.abs(this.lon-p.lon) <= eps*(p.lon)) return true;
		return false;
	}
	
	public double getLat() {
		return lat;
	}

	public void setLat(double lat) {
		this.lat = lat;
	}

	public double getLon() {
		return lon;
	}

	public void setLon(double lon) {
		this.lon = lon;
	}

	//returns true if point a is in the north of point b
	public boolean isNorth(Point a, Point b){
		if(a.getLat()>b.getLat())
			return true;
		else
			return false;
	}
	
	//returns true if point a is east of point b
	public boolean isEast(Point a, Point b){
		if(a.getLon()>b.getLon())
			return true;
		else
			return false;
	}

}
