package de.ifgi.gui;
import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

public class FileChooser {

	private String[]adressen;

	
	public String[] getAdressen() {
		return adressen;
	}

	public  FileChooser() {
		 JFileChooser myfile = new JFileChooser();
		 myfile.setFileSelectionMode(JFileChooser.FILES_ONLY);
		 myfile.addChoosableFileFilter(new ImageFilter());
		 myfile.setMultiSelectionEnabled(true);
	     myfile.showOpenDialog(null);
	     
		    //File dir = myfile.getSelectedFiles();
		    
		    //Liest das Verzeichnis aus
		    File[] fileList = myfile.getSelectedFiles();	    
		   
		    
		   	fileToStringArray(fileList) ;   
	     }
	
    public void fileToStringArray(File[] fileList){
    	adressen = new String[fileList.length];
    	for (int i=0; i<fileList.length;i++){
    		adressen[i]= fileList[i].toString();
    	}
    }
    class ImageFilter extends FileFilter {
        //Accept only  files
        public boolean accept(final File f) {
            if (f.isDirectory()) {
                return true;
            }
            String extension = Utils.getExtension(f);
            if (extension != null) {
                if (extension.equals(Utils.jpg) ||
                        extension.equals(Utils.jpeg)) {
                    return true;
                } else {
                    return false;
                }
            }
            return false;
        }
        //The description of this filter
        public String getDescription() {
            return "Only jpg!";
        }
    }
    
    static class Utils {
        public final static String jpeg = "jpeg";
        public final static String jpg = "jpg";
        /*
         * Get the extension of a file.
         */
        public static String getExtension(final File f) { 
            String ext = null;
            String s = f.getName();
            int i = s.lastIndexOf('.');
            if (i > 0 &&  i < s.length() - 1) {
                ext = s.substring(i+1).toLowerCase();
            }
            return ext;
        }
    }
}