package de.ifgi.main;

import java.util.ArrayList;
import java.util.List;

import de.ifgi.basics.BoundingBox;
import de.ifgi.basics.Point;
import de.ifgi.proxy.GeotiffProxy;

public class Test {
	public static void main(String[] args){
		List<GeotiffProxy> images = new ArrayList<GeotiffProxy>(10); 
		int samplelength = 100;
		int picturewidth = 100;
		int numberOfImages = 20;
		Point p1_b1 = new Point(0,0);
		Point p2_b1 = new Point(0,20);
		Point p3_b1 = new Point(20,20);
		Point p4_b1 = new Point(20,0);
		
		Point p1_b2 = new Point(0,0);
		Point p2_b2 = new Point(0,20);
		Point p3_b2 = new Point(20,20);
		Point p4_b2 = new Point(20,0);

		Point p1_b3 = new Point(41,41);
		Point p2_b3 = new Point(41,60);
		Point p3_b3 = new Point(60,60);
		Point p4_b3 = new Point(60,41);
		
		Point p1_b4 = new Point(61,61);
		Point p2_b4 = new Point(61,80);
		Point p3_b4 = new Point(80,80);
		Point p4_b4 = new Point(80,61);
		
		BoundingBox b1 = new BoundingBox(p1_b1, p2_b1, p3_b1, p4_b1);
		BoundingBox b2 = new BoundingBox(p1_b2, p2_b2, p3_b2, p4_b2);
		BoundingBox b3 = new BoundingBox(p1_b3, p2_b3, p3_b3, p4_b3);
		BoundingBox b4 = new BoundingBox(p1_b4, p2_b4, p3_b4, p4_b4);
		
		
		
		
		for(int i = 0; i<numberOfImages; i++){
			images.add(new GeotiffProxy(samplelength, picturewidth, b1));
			images.add(new GeotiffProxy(samplelength, picturewidth, b2));
			images.add(new GeotiffProxy(samplelength, picturewidth, b3));
			images.add(new GeotiffProxy(samplelength, picturewidth, b4));
		}
		ImageManager.getInstance().selectImages(0.4, images);
		System.out.println("...");
		
		
	}
	
}

	