package de.ifgi.proxy;

import java.awt.Color;
import java.util.ArrayList;
import java.util.List;

public class SampleElement {
	private int x;
	private int y;
	private List<Integer> value = new ArrayList<Integer>(); 
	
	public SampleElement(int x, int y){
		this.x = x;
		this.y = y;
	}
	
	public SampleElement(int i, int j, int z) {
		this.x = i;
		this.y = j; 
		Color c = new Color(z);
		value.add(0, c.getRed());
		value.add(1, c.getGreen());
		value.add(2, c.getBlue());
	}
	
	public int getNumberOfChannels(){
		return value.size();
	}

	public int getX() {
		return x;
	}
	public int getY() {
		return y;
	}
	public int getValue(int channel) {
		return value.get(channel);
	}
	public void setX(int x) {
		this.x = x;
	}
	public void setY(int y) {
		this.y = y;
	}
	public void setValue(int value, int channel) {
		this.value.add(channel, value);
	}
}
