package de.ifgi.gui;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;

public class OptionsFrame extends JFrame{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Toolkit toolkit = Toolkit.getDefaultToolkit(); // Determine screen size.
	private Dimension screenSize = toolkit.getScreenSize(); // One could also create a new Dimension object with values set by hand.
	private Dimension canvasSize = screenSize; // The desired size of the Application Window.
	static JFrame f = new JFrame();
	static JTextField filterQuota = new JTextField(String.valueOf(Parameter.getInstance().getFilterQuota()));
	static JTextField selectionQuota = new JTextField(String.valueOf(Parameter.getInstance().getSelectionQuota()));


	public OptionsFrame(){
		
		f = new JFrame("Options");
		
		//Add Buttons
		JButton okButton = new JButton("OK");
		
		//JButton cancelButton = new JButton("Cancel");
		
		//Add Button Listeners
		okButton.addActionListener(OptionsFrameController.okButtonListener);
		
		f.setDefaultCloseOperation( JFrame.DISPOSE_ON_CLOSE ); 
	//										   Spalten	  Zeilen	 	 
		f.setLayout( new GridLayout(/*3*/ 0,   2,      6, 4     ) ); 
		 
		f.add( new JLabel("Auswahl in Prozent") ); 
		f.add( selectionQuota ); 
		f.add( new JLabel(" Gewnschte Filtergenauigkeit") ); 
		f.add( filterQuota);
		f.add( okButton);
		f.pack(); 
		f.setVisible( true ); 
		f.setLocation((int)canvasSize.getWidth() / 2 - 320, (int)canvasSize.getHeight() / 2 - 240);

	}
	static class OptionsFrameController implements ActionListener {
		
		public static ActionListener okButtonListener = new ActionListener () {
			public void actionPerformed(ActionEvent e) {		
				try{
					Parameter.getInstance().setSelectionQuota(selectionQuota.getText());
					Parameter.getInstance().setFilterQuota(filterQuota.getText());
					f.dispose();
				}
				catch (Exception ex){
					selectionQuota.setText(String.valueOf(Parameter.getInstance().getSelectionQuota()));
					filterQuota.setText(String.valueOf(Parameter.getInstance().getFilterQuota()));
					JOptionPane.showMessageDialog(null, "Wrong number format: Value has to be between 0 and 1!");
				}
				
			}
		};
		
		public static ActionListener cancelButtonListener = new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				
			       }

			};

		public void actionPerformed(ActionEvent e) {
			// TODO Auto-generated method stub
			
		}
	}

}

