package de.ifgi.operations;
  

import java.util.ArrayList;
import java.util.List;

import de.ifgi.proxy.GeotiffProxy;

public class SpatialChecker {
	
    private static SpatialChecker instance;

    private SpatialChecker() {}

    public synchronized static SpatialChecker getInstance() {
        if (instance == null) {
            instance = new SpatialChecker();
        }
        return instance;
    }
	
	
	public List<List<GeotiffProxy>> checkSpatially(List<GeotiffProxy> checkedImages) {
	
		List<List<GeotiffProxy>> result = new ArrayList<List<GeotiffProxy>>();
		List<GeotiffProxy> headList = new ArrayList<GeotiffProxy>();
		result.add(headList);
		headList.add(checkedImages.get(0));
		checkedImages.remove(0);
		
		for(GeotiffProxy g : checkedImages){
			int i = 0;
			while(i < result.size()){
				if(g.equalsSpatially(result.get(i).get(0))){
					result.get(i).add(g);
					i = result.size()+1;
				}
				i = i+1;
			}
			if(i == result.size()){
				List<GeotiffProxy> temp = new ArrayList<GeotiffProxy>();
				temp.add(g);
				result.add(temp);
			}
		}
		
		return result;
	}
}
